#!/bin/bash

#solo ejecuto el script en centos 5
if [ "$(/bin/rpm -q centos-release)" != "centos-release-5-11.el5.centos" ];then
    exit
fi
rpm -q --quiet epel-release || /usr/bin/yum -y install epel-release

cat >/etc/yum.repos.d/epel.repo.tmp <<__EOF__
[epel]
name=Extra Packages for Enterprise Linux 5 - \$basearch
baseurl=http://repos.sopnet.com.ar/epel/\$releasever/\$basearch/
#mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-5&arch=\$basearch
failovermethod=priority
enabled=1
gpgcheck=1
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL

[epel-debuginfo]
name=Extra Packages for Enterprise Linux 5 - \$basearch - Debug
#baseurl=http://download.fedoraproject.org/pub/epel/5/\$basearch/debug
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-debug-5&arch=\$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
gpgcheck=1

[epel-source]
name=Extra Packages for Enterprise Linux 5 - \$basearch - Source
#baseurl=http://download.fedoraproject.org/pub/epel/5/SRPMS
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=epel-source-5&arch=\$basearch
failovermethod=priority
enabled=0
gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-EPEL
gpgcheck=1
__EOF__

diff /etc/yum.repos.d/epel.repo.tmp /etc/yum.repos.d/epel.repo >/dev/null 2>&1 || mv -f /etc/yum.repos.d/epel.repo.tmp /etc/yum.repos.d/epel.repo
rm -f /etc/yum.repos.d/epel.repo.tmp
rpm -q --quiet yum26-python || /usr/bin/yum -y install python26 python26-iniparse python26-sqlite python26-urlgrabber rpm-python26 yum26-metadata-parser yum26-python
